SVNKit Home

## org.tmatesoft.svn.core.wc
Interface ISVNCommitParameters

All Known Implementing Classes:
  DefaultSVNCommitParameters

public interface ISVNCommitParameters

The ISVNCommitParameters is the interface for parameters which set behaviour for a commit operation that touches still versioned files or dirs that are somehow missing.

To bring your commit parameters into usage, simply pass them to a committer object, for example, to `SVNCommitClient`.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `DefaultSVNCommitParameters`

Nested Class Summary
`static class` `ISVNCommitParameters.Action` This class is simply used to define an action a commit operation should undertake in case of a missing file/directory.

Field Summary
`static ISVNCommitParameters.Action` `DELETE` A constant that instructs a commit operation to force a deletion of a missing item.
`static ISVNCommitParameters.Action` `ERROR` A constant that defines a file/dir missing situation as an error, commit should fail.
`static ISVNCommitParameters.Action` `SKIP` A constant that instructs a commit operation to skip a missing item.

Method Summary
`boolean` `onDirectoryDeletion(File directory)`
`boolean` `onFileDeletion(File file)`
`ISVNCommitParameters.Action` `onMissingDirectory(File file)` Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.
`ISVNCommitParameters.Action` `onMissingFile(File file)` Returns the action a commit operation should undertake if there's a missing file under commit scope that is not however scheduled for deletion.

Field Detail

### ERROR

    public static final ISVNCommitParameters.Action ERROR

  A constant that defines a file/dir missing situation as an error, commit should fail.

### SKIP

    public static final ISVNCommitParameters.Action SKIP

  A constant that instructs a commit operation to skip a missing item. So, the item is not committed.

### DELETE

    public static final ISVNCommitParameters.Action DELETE

  A constant that instructs a commit operation to force a deletion of a missing item. Although the item may be not scheduled for deletion (only missing in filesystem) it will be deleted from version control.

Method Detail

### onMissingFile

    public ISVNCommitParameters.Action onMissingFile(File file)

  Returns the action a commit operation should undertake if there's a missing file under commit scope that is not however scheduled for deletion.

  Parameters:
    `file` - a missing file
  Returns:
    an action that must be one of the constants defined in the interface

### onMissingDirectory

    public ISVNCommitParameters.Action onMissingDirectory(File file)

  Returns the action a commit operation should undertake if there's a missing directory under commit scope that is not however scheduled for deletion.

  Parameters:
    `file` - a missing directory
  Returns:
    an action that must be one of the constants defined in the interface

### onDirectoryDeletion

    public boolean onDirectoryDeletion(File directory)

  Returns:
    true if directory should be deleted after commit.

### onFileDeletion

    public boolean onFileDeletion(File file)

  Returns:
    true if file should be deleted after commit.

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.